Subject: Re: bug#9463: 24.0.50; Errors should not be continuable

From: Stefan Monnier <[email-masked]>
Date: Mon, 19 Sep 2011 17:17:00 -0400

> Incidentally, C-M-c does pretty much the same as what c does currently.

It does something similar but not identical and hence re-introduces some
of the problems that the change you don't like aimed to solve.
It's important to have a "c" that can "keep going (as much as possible)
as if nothing happened".

As you've shown, you can actually get your old behavior with something like

(defadvice debugger-continue (before dont-continue-after-error activate)
  (if (eq (car debugger-args) 'error)
      (error "Can't continue from an error")))

> So, no new command to get the current behavior would be needed.

Indeed.  I've installed a change to catch the most common cases where
debugger-return-value doesn't make sense.

        Stefan